﻿

#file-sign {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0;
}

.lfruip {
    position: relative;
    display: flex;
    color: rgb(255, 255, 255);
    background-color: #495057;
    border-radius: 4px;
    justify-content: center;
}

.jrDGWu {
    cursor: pointer;
    user-select: none;
    line-height: 18px;
    font-size: 14px;
    -webkit-font-smoothing: antialiased;
    font-stretch: normal;
    font-weight: 300 !important;
    width: auto;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    color: inherit;
    background-color: transparent;
    height: 60px;
    position: relative;
    text-transform: uppercase;
    margin: 0px;
    outline: 0px;
    border-width: 0px;
    border-style: initial;
    border-color: initial;
    border-image: initial;
    overflow: visible;
    transition: background-color 0.1s cubic-bezier(0.455, 0.03, 0.515, 0.955) 0s;
    padding: 8px 20px;
    border-radius: 4px 0px 0px 4px;
   
}

/*.SBukn {
    width: 32px;
   
}*/

.sc-2xfn8l-0.bxyVaO.sc-2wite4-0.SBukn {
    width: 35px;
    margin-left: -8px;
    margin-top: -2px;
}

.bxyVaO > svg {
    display: flex;
    overflow: hidden;
    margin-left: 10px;
}

    .bxyVaO > svg > * {
        fill: currentcolor;
    }

.bxyVaO {
    display: flex;
    overflow: hidden;
}

#form {
    margin-top: 150px;
    margin-bottom: 50px;
    text-align: center;
    background: #495057;
    padding: 25px;
    border-radius: 3px;
}

#pdf-viewer {
    position: relative;
    width: 100%;
    height: 600px;
    background: #e9ecef99;
    display: none;
    margin-top: 150px;
    padding-top: 30px;
    overflow-y: scroll;
}

.pdf-page-canvas {
    background-color:transparent !important;
    user-select:none !important;
    display: block;
    box-shadow: 0 0 24px 0 rgba(0,0,0,.2);
    width:100%;
}

.upload-btn-wrapper {
    position: relative;
    overflow: hidden;
    display: inline-block;
}

.xTa-DS {
    cursor: pointer;
    user-select: none;
    line-height: 18px;
    font-size: 14px;
    -webkit-font-smoothing: antialiased;
    font-stretch: normal;
    font-weight: 500;
    width: auto;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    color: inherit;
    background-color: transparent;
    height: 54px;
    position: relative;
    text-transform: uppercase;
    margin: 0px;
    outline: 0px;
    border-width: 0px;
    border-style: initial;
    border-color: initial;
    border-image: initial;
    overflow: visible;
    transition: background-color 0.1s cubic-bezier(0.455, 0.03, 0.515, 0.955) 0s;
    padding: 15px 24px;
    border-radius: 4px 0px 0px 4px;
    padding-top: 17px;
}

/*.SBukn {
    width: 27px;
    height: 27px;
}*/

.bxyVaO > svg {
    display: flex;
    flex: 1 1 auto;
}

.cxlSWI {
    margin-right: 6px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    direction: rtl;
    color: #555;
}

.bxyVaO {
    display: flex;
    overflow: hidden;
}

.upload-btn-wrapper input[type=file] {
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
    width: 100%;
    height: 100%;
    cursor:pointer;
}

.iTXuYA {
    height: 55px;
    width: 96px;
    text-align: center;
    margin: 0 auto;
    margin-bottom: 15px;
    color: white;
}

svg > * {
    fill: currentcolor;
}

.bAEODD {
    position: relative;
    display: flex;
    color: rgb(33, 33, 33);
    background-color: rgb(255, 255, 255);
    border-radius: 4px;
}

#wrapper-pdf-viewer {
    position: relative;
}

    #wrapper-pdf-viewer p {
        position: absolute;
        font-weight: 500;
        top: -31px;
        font-size: 15px;
        cursor: pointer;
    }

.Icon {
    width: 24px;
    height: 24px;
    pointer-events: none;
    color: #757575;
    color: var(--icon-color);
}

.buttonText span {
    cursor: pointer;
    vertical-align: text-top;
    font-weight: 500;
    color: #495057;
    transition: .3s;   
    position: relative;
    display: inline-block;
    margin-left: 5px;
}

.buttonText > span:hover {
    opacity: 1;   
}

#form_sign {
    display: flex;
    justify-content: center;
}

#sing-drag-wrapper {
    position: absolute;
    z-index: 85; 
    background: #fff !important;  
    padding: 10px;
    border: 1px solid #e0e0e0;
    border: 1px solid var(--border-color);
    box-shadow: 0 0 24px 0 rgba(0,0,0,.2);
    top: 43px;
    width: 277px;
    display: none;
    right: -72px;
}
.SignatureImageContainer img {
    display: block;
    -o-object-fit: fill;
    object-fit: fill;
    max-width: 100%;
    max-height: 100%;
}
.SignatureImageContainer {
    flex: 1;
    height: 80px;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: crosshair;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 2px dashed#6c757d;
    border-radius: 4px;
}
.SignatureDeleteButton {
    height: 60px;
    /*padding: 0 5px 0 12px;*/
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
#create-sign {
    padding: 0;
    font-size: 13px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 3px;
    padding-bottom: 3px;
    margin-top: 15px;
}

#dragdrop {
    font-weight: 500 !important;
    display: inline-block;
    font-size: 12px !important;
    text-align: justify;
    direction: rtl !important;
    line-height: 1.9 !important;
    color: #4CAF50;
    margin-top: 7px;
}

#Finish {
    font-size: 12px !important;
    padding: 6px;
    padding-top: 3px;
    padding-bottom: 4px;
}

/*#MySign{
    position:absolute !important;
    height:70px !important;
    width:89px !important;
    left:53px !important;
    top:0 !important
}*/

.pdf-page-canvas{
    cursor:crosshair;
}

#main_wrapper_upload {
    margin: 0;
    padding: 0;
}

.sc-2xfn8l-0.bxyVaO.sc-6w1ep9-0.iTXuYA > svg{
    margin-left:0 !important;
}

#navigation {
    display:none;
    position: absolute;
    width: 100%;
    top: -48px;
}
.nav-link .fa {
    vertical-align: middle;
    font-size: 16px;
    margin-left: 5px;
}
#Modal_share .modal-header .close {
    margin: inherit !important;
    padding: inherit !important; 
}
#nav-home #pdf_download {
    width: 150px;
    border-radius: 4px;
    box-shadow: 0 10px 16px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19) !important;
    cursor: pointer;
    margin-bottom: 3px;
    opacity: .8;
    transition:.2s;
}
    #nav-home #pdf_download:hover {
        opacity: 1;
    }
    ul.nav li {
        user-select: none !important;
        position: relative;
    }
ul.nav li{
    cursor: pointer;  
}

   /* ul.nav li:last-child, ul.nav li:nth-child(3){
        position: relative;
        font-weight: 600 !important;
        cursor: pointer !important;
    }*/
    .nav-link span {
    font-weight: 500;
    color: black;
}

#Modal .modal-header {
    border: none;
    background: #e9ecef;  
    padding: 10px;
}

#loader-sign {
    display: none;
    width: 25px;
}

#form_share {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
    
}
#form_share label {
    font-size: 13px;
    margin: 0;
}
    #form_share input, #form_Confirm_Code input {
        border: none;
        font-size: 12px;
        box-shadow: 0px 5px 5px rgba(96, 125, 139, 0.24);
    }


    #form_share input:focus {
        outline: 0;
        box-shadow: none;
        border-bottom: 2px solid #ccc;
    }

#form_share > p {
    text-align: right;
    padding: 6px;
    border-radius: 5px;
    font-size: 14px;
    font-weight: 500;
    color: #6c757d;
    margin-right: 9px;
}
#form_share input[type='checkbox'] {
    box-shadow: none !important;
    margin-top: 5px;
    transform: scale(1.2);
}

#form_share .form-check-label {
    margin-right: 22px;
    text-align: justify;
    font-weight: 400;
    color: black;
}

#form_share .field-validation-error {
    color: #dc3545 !important;
    font-size: 12px;
    font-weight: 400;
    margin-top: 11px;
    display: inline-block;
    line-height: 1.7;
}

.nav-tabs.nav-link {
    border: 2px solid transparent;
}

#send_Link:hover, #send_Link:active, #send_MobileCode:hover, #send_MobileCode:active, #Register_Confirm_Code:hover, #Register_Confirm_Code:active {
    box-shadow: none !important;
    background-color: #eab003 !important;
    color: #374550 !important;
}

.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    color: #6e1529;
    font-weight: 500;   
}
.nav-tabs .nav-link {
    color: #666;
}

.nav-tabs {
    border-bottom: 1px solid #ffc107;
}
    .nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    
        border-color: #ffc107 #ffc107 #fff;
        border-width: 2px;
    }
   
#send_MobileCode {
    font-size: 11px !important;
    margin-top: 15px !important;
    font-weight: 500 !important;
}
.signs_attach {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    pointer-events: none;
}
.wrapper_canvas{
    position:relative !important;;
    width:100% !important
}

.movable_BoX {
    position: absolute !important;
    display: block;
    width: 250px;
    height: 150px;
    cursor: move;
    background: transparent !important;
    border-radius: 5px;
    border-bottom-right-radius: 0;
    pointer-events: all !important;
    border: 2px solid transparent;
    user-select:none !important;
}
    .movable_BoX:hover {
        border: 2px solid rgb(129, 20, 36);
    }

        .movable_BoX:hover .corner-3, .movable_BoX:hover .remove_wrapper {
            opacity: 1;
        }
.remove_wrapper {
    position: absolute;
    left: -11px;
    top: -13.5px;
    opacity: 0;
    cursor: pointer;
}

    .remove_wrapper .fa-times-circle-o {
        font-size: 25px;
    }

.corner-3 {
    position: absolute;
    right: -2px;
    bottom: 0;
    height: 12px;
    width: 12px;
    background-color: rgb(129, 20, 36);
    cursor: se-resize;
    opacity: 0;
}


.movable_BoX .image_container {
    pointer-events: none
}
.image_container img {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
}

.closeButton {
    border-radius: 50%;
    color: #fff;
    background-color: #262626;
    height: 24px;
    width: 24px;
    padding: 6px;
    line-height: 0;
}
    .closeButton svg > * {
        fill: white;
    }

#holder_Temperory svg{
    width:250px;
    height:200px;
}

#pdf-viewer, .pdf-page-canvas, .holder {
    position: relative !important;
}


.holder {
    width: 100%;   
    position:relative;
    margin-bottom: 10px;
}

#Holder_image > span {
    font-size: 12px;
    color: #333;
    font-weight: 400;
    display: none;
    margin-top: 19px;
    margin-right: -5px;
}
    #Holder_image > span > span {
        font-size: 13px;
        color: black;
        font-weight: 500;
    }
#Holder_image img, #form_Confirm_Code img {
    width: 25px;
    margin-top: 16px;
    display: none;
    margin-right: -10px;
}
#form_Confirm_Code img {
    margin-right: 0
}
#form_share .container i.fa-check-circle-o, #form_share .container i.fa-times-circle-o {
    position: absolute;
    left: 27px;
    top: 9px;
    font-size: 23px;
    transition:.3s;
}
#form_share .container i.fa-check-circle-o {
    color: #4CAF50;
}
#form_share .container i.fa-times-circle-o {
    color: #f44336;
}
#spinner {
    display: none;
    width: 25px;
}
#Modal_Error_sendMobileCode .alert-danger {
    font-size: 12px;
    line-height: 1.8;
}
    #Modal_Error_sendMobileCode .alert-danger a {
        color: #333;
        font-weight: 500;
        font-size: 11px;
    }
        #Modal_Error_sendMobileCode .alert-danger  span {
            color: #e91e63;
            font-weight: 500;
        }

#final_Confirm {
    position:fixed;
    direction:rtl;
    position: absolute;
    bottom: 50px;
    left: 0;
    width: 100%;
    height: 63px;
    background-color: #333;
    text-align: center;
    padding: 10px;
    display: none;
}

#pdf_download_loader {
    display: none;
    width: 35px;
}
#Fade_Bg {
    position: absolute;
    width: 100%;
    height: 70%;
    left: 0;
    bottom: 0;
    background-color: #fff;
    opacity: .7;
    z-index: 99999;
    display:none;
}
#nav-home p {
    font-weight: 500;
    font-size: 14px;
    color: #555;
    background: #ffc10740;
    padding: 15px;
    border-radius: 3px;
}
#nav-home i {
    color: #ffc107;
    font-size: 22px;
    position: absolute;
    z-index: 99;
}
#final_Confirm button {
    font-size: 14px;
}

#confirm_wrapper_sign {
    margin-top: 180px;
    margin-bottom: 100px;
}

    #confirm_wrapper_sign .form-group {
        text-align: right;
    }
    #confirm_wrapper_sign .form-group label {
       margin-bottom:15px;
        font-size: 14px;
    }
        #confirm_wrapper_sign .form-group .form-control {
            border: none;
            border-bottom: 1.5px solid #f8f9fa;
            text-align: left;
            padding-left: 15px;
            box-shadow: 0 1px 5px 0 #ccc,0 3px 9px 0 #f8f9fa;
        }
            #confirm_wrapper_sign .form-group .form-control:focus {
                color: #495057;
                background-color: #fff;
                border-color: #ccc !important;
                outline: 0 !important;
                box-shadow: none !important;
            }
    #confirm_wrapper_sign form span.text-danger {
        font-size: 13px !important;
        margin-top: 10px;
        display: inline-block;
        font-weight: 500;
    }
#ConfirmUser_loader {
    display: none;
    width: 30px;
    vertical-align: middle;
    margin-top: 10px;
}
#confirm_wrapper_sign p {
    text-align: center;
    direction: rtl;
    color: #555;
    font-weight: 500;
    font-size: 14px;
}
    #confirm_wrapper_sign form {
        text-align: center;
        direction: rtl;
    }
    #final_Confirm span {
        color: white;
        font-size: 14px;
        display: none;
    }
    @media (max-width: 992px) {
        #pdf-viewer {
        margin-top: 100px;
    }
}


@media (max-width: 576px) {
    #navigation ul.justify-content-center li a {
        font-size: 12px;
        padding-left: 15px;
        padding-right: 15px;
    }
    #navigation ul.justify-content-center li a i{
        font-size: 16px;
       
    }

    #navigation ul.justify-content-center li a  span svg{
       margin-top:-6px !important;
       width:24px !important;
    }
    #create-sign {
        margin-bottom: 5px;
        font-size: 14px;
    }
   
}

@media (max-width: 768px) {
    #navigation {
        overflow-x: visible !important;
    }
}
